## rtl-sdr 2.0.2

=== CMakeLists.txt ===
# Copyright 2012-2020 Osmocom Project
#
# This file is part of rtl-sdr
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 3.7.2)

# workaround for https://gitlab.kitware.com/cmake/cmake/issues/16967
if(${CMAKE_VERSION} VERSION_LESS "3.12.0")
    project(rtlsdr)
else()
    project(rtlsdr C)
endif()

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/Modules)

include(GNUInstallDirs)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)

# Set the version information here
set(VERSION_INFO_MAJOR_VERSION 2) # increment major on api compatibility changes
set(VERSION_INFO_MINOR_VERSION 0) # increment minor on feature-level changes
set(VERSION_INFO_PATCH_VERSION 1) # increment patch for bug fixes and docs
include(Version) # setup version info

########################################################################
# Compiler specific setup
########################################################################
if(CMAKE_COMPILER_IS_GNUCC AND NOT WIN32)
    ADD_DEFINITIONS(-Wall)
    ADD_DEFINITIONS(-Wextra)
    ADD_DEFINITIONS(-Wno-unused-parameter)
    ADD_DEFINITIONS(-Wno-unused)
    ADD_DEFINITIONS(-Wsign-compare)
    ADD_DEFINITIONS(-Wdeclaration-after-statement)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
elseif(MSVC14 OR MSVC14)
#pthread-w32 issue, timespec is now part of time.h
    ADD_DEFINITIONS(-D_TIMESPEC_DEFINED)
endif()

########################################################################
# Find build dependencies
########################################################################
find_package(Threads)
find_package(PkgConfig)

if(PKG_CONFIG_FOUND)
    pkg_check_modules(LIBUSB libusb-1.0 IMPORTED_TARGET)
    if(LIBUSB_LINK_LIBRARIES)
        set(LIBUSB_LIBRARIES "${LIBUSB_LINK_LIBRARIES}")
    endif()
else()
    set(LIBUSB_LIBRARIES "" CACHE STRING "manual libusb path")
    set(LIBUSB_INCLUDE_DIRS "" CACHE STRING "manual libusb includepath")
endif()

if(MSVC)
    set(THREADS_PTHREADS_LIBRARY "" CACHE STRING "manual pthread-win32 path")
    set(THREADS_PTHREADS_INCLUDE_DIR "" CACHE STRING "manual pthread-win32 includepath")
else()
    set(THREADS_PTHREADS_LIBRARY "" CACHE INTERNAL "manual pthread-win32 path")
    set(THREADS_PTHREADS_INCLUDE_DIR "" CACHE INTERNAL "manual pthread-win32 includepath")
endif()

if(PKG_CONFIG_FOUND AND NOT LIBUSB_FOUND)
    message(FATAL_ERROR "LibUSB 1.0 required to compile rtl-sdr")
endif()
if(NOT THREADS_FOUND)
    message(FATAL_ERROR "pthreads(-win32) required to compile rtl-sdr")
endif()

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Install udev rules
########################################################################
option(INSTALL_UDEV_RULES "Install udev rules for RTL-SDR" OFF)
if (INSTALL_UDEV_RULES)
    install (
        FILES rtl-sdr.rules
        DESTINATION "/etc/udev/rules.d"
        COMPONENT "udev"
        )
else (INSTALL_UDEV_RULES)
    message (STATUS "Udev rules not being installed, install them with -DINSTALL_UDEV_RULES=ON")
endif (INSTALL_UDEV_RULES)

option(DETACH_KERNEL_DRIVER "Detach kernel driver if loaded" OFF)
if (DETACH_KERNEL_DRIVER)
    message (STATUS "Building with kernel driver detaching enabled")
    add_definitions(-DDETACH_KERNEL_DRIVER=1)
else (DETACH_KERNEL_DRIVER)
    message (STATUS "Building with kernel driver detaching disabled, use -DDETACH_KERNEL_DRIVER=ON to enable")
endif (DETACH_KERNEL_DRIVER)

option(ENABLE_ZEROCOPY "Enable usbfs zero-copy support" OFF)
if (ENABLE_ZEROCOPY)
    message (STATUS "Building with usbfs zero-copy support enabled")
    add_definitions(-DENABLE_ZEROCOPY=1)
else (ENABLE_ZEROCOPY)
    message (STATUS "Building with usbfs zero-copy support disabled, use -DENABLE_ZEROCOPY=ON to enable")
endif (ENABLE_ZEROCOPY)

########################################################################
# Install public header files
########################################################################
install(FILES
    include/rtl-sdr.h
    include/rtl-sdr_export.h
    DESTINATION include
)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(src)

########################################################################
# Create Pkg Config File
########################################################################
FOREACH(inc ${LIBUSB_INCLUDEDIR})
    LIST(APPEND RTLSDR_PC_CFLAGS "-I${inc}")
ENDFOREACH(inc)

FOREACH(lib ${LIBUSB_LIBRARY_DIRS})
    LIST(APPEND RTLSDR_PC_LIBS "-L${lib}")
ENDFOREACH(lib)

# use space-separation format for the pc file
STRING(REPLACE ";" " " RTLSDR_PC_CFLAGS "${RTLSDR_PC_CFLAGS}")
STRING(REPLACE ";" " " RTLSDR_PC_LIBS "${RTLSDR_PC_LIBS}")

# unset these vars to avoid hard-coded paths to cross environment
IF(CMAKE_CROSSCOMPILING)
    UNSET(RTLSDR_PC_CFLAGS)
    UNSET(RTLSDR_PC_LIBS)
ENDIF(CMAKE_CROSSCOMPILING)

set(prefix "${CMAKE_INSTALL_PREFIX}")
set(exec_prefix \${prefix})
set(includedir \${prefix}/include)
set(libdir \${exec_prefix}/lib)

CONFIGURE_FILE(
    ${CMAKE_CURRENT_SOURCE_DIR}/librtlsdr.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/librtlsdr.pc
@ONLY)

INSTALL(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/librtlsdr.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

########################################################################
# Create CMake Config File
########################################################################
write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/rtlsdr/rtlsdrConfigVersion.cmake"
  VERSION ${VERSION}
  COMPATIBILITY AnyNewerVersion
  )

configure_file(cmake/rtlsdrConfig.cmake
  "${CMAKE_CURRENT_BINARY_DIR}/rtlsdr/rtlsdrConfig.cmake"
  COPYONLY
  )

set(ConfigPackageLocation lib/cmake/rtlsdr)
install(EXPORT RTLSDR-export
  FILE rtlsdrTargets.cmake
  NAMESPACE rtlsdr::
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/rtlsdr/
  )
install(
  FILES
  cmake/rtlsdrConfig.cmake
  "${CMAKE_CURRENT_BINARY_DIR}/rtlsdr/rtlsdrConfigVersion.cmake"
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/rtlsdr/
  COMPONENT Devel
  )

########################################################################
# Print Summary
########################################################################
MESSAGE(STATUS "Building for version: ${VERSION} / ${LIBVER}")
MESSAGE(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")

=== debian/changelog ===
rtl-sdr (2.0.2-2) unstable; urgency=medium

  * upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 25 Apr 2024 07:37:07 -0400

rtl-sdr (2.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Upstream soversion change - upload to experimental
  * Update standards version to 4.7.0, no changes needed.
  * Update Build-Depends: pkg-config => pkgconf
  * Use git-buildpackage with Debian Hamradio Maintainers

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 24 Apr 2024 21:03:19 -0400

=== debian/control ===
Source: rtl-sdr
Section: comm
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>
# Warning: see README.source before back-porting this package
Build-Depends: base-files (>= 13~),
               cmake,
               debhelper-compat (= 13),
               dh-sequence-movetousr,
               libusb-1.0-0-dev [!kfreebsd-any],
               libusb2-dev [kfreebsd-any],
	       pkgconf
Standards-Version: 4.7.0
Homepage: https://osmocom.org/projects/rtl-sdr
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/rtl-sdr
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/rtl-sdr.git

Package: librtlsdr-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: librtlsdr0 (= ${binary:Version}),
         libusb-1.0-0-dev [!kfreebsd-any],
         libusb2-dev [kfreebsd-any],
         ${misc:Depends}
Multi-Arch: same
Description: Software defined radio receiver for Realtek RTL2832U (development)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains development files.

Package: librtlsdr0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Breaks: librtlsdr2 (<< 2.0.2)
Replaces: librtlsdr2 (<< 2.0.2)
Description: Software defined radio receiver for Realtek RTL2832U (library)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains the shared library.

Package: rtl-sdr
Architecture: any
Depends: librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Software defined radio receiver for Realtek RTL2832U (tools)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains a set of command line utilities:
  * rtl_adsb: a simple ADS-B decoder for RTL2832 based DVB-T receivers
  * rtl_eeprom: an EEPROM programming tool for RTL2832 based DVB-T receivers
  * rtl_fm: a narrow band FM demodulator for RTL2832 based DVB-T receivers
  * rtl_sdr: an I/Q recorder for RTL2832 based DVB-T receivers
  * rtl_tcp: an I/Q spectrum server for RTL2832 based DVB-T receivers
  * rtl_test: a benchmark tool for RTL2832 based DVB-T receivers

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_ZEROCOPY_OPTION=ON
DEB_ZEROCOPY_OPTION=$(shell if [ $(DEB_BUILD_ARCH) = arm64 ] || [ $(DEB_BUILD_ARCH) = armel ] || [ $(DEB_BUILD_ARCH) = armhf ]; then echo "OFF" ; else echo "ON" ; fi)

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure: debian/librtlsdr0.udev
	dh_auto_configure --buildsystem=cmake -- -DDETACH_KERNEL_DRIVER=ON \
						 -DENABLE_ZEROCOPY=$DEB_ZEROCOPY_OPTION \
						 -DINSTALL_UDEV_RULES=ON \
						 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
						 -DCMAKE_VERBOSE_MAKEFILE=ON

debian/librtlsdr0.udev: rtl-sdr.rules
	cp -p rtl-sdr.rules debian/librtlsdr0.udev

override_dh_acc:
	- dh_acc
	- cat debian/librtlsdr-dev/usr/lib/x86_64-linux-gnu/dh-acc/librtlsdr-dev_*_report.html

=== debian/watch ===
version=4
 opts="mode=git, gitmode=full, pgpmode=none" \
 https://gitea.osmocom.org/sdr/rtl-sdr \
 refs/tags/v([\d\.]+) debian uupdate

## rtl-sdr 2.0.2.1.ede3.202509302026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202509302026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 30 Sep 2025 20:27:43 +0000

rtl-sdr (2.0.2) unstable; urgency=medium

  [ Mikael Falkvidd ]
  * Fix small typo in rtl_sdr man page

  [ Clayton Smith ]
  * Use library paths from pkg-config
  * Only use LIBUSB_LINK_LIBRARIES if it exists

  [ hayati ayguen ]
  * improve CLI usage docs: '-d' also accepts serial

  [ Oliver Jowett ]
  * r82xx: improve tuner precision

  [ Sultan Qasim Khan ]
  * r82xx: avoid redundant register writes for speed
  * r82xx: batch register writes for tuning

  [ Ethan Halsall ]
  * fix: set fc0012 gain to low on init
  * fix: round gain input to nearest value

  [ Harald Welte ]
  * Add funding link to github mirror

  [ Steve Markgraf ]
  * lib: set SOVERSION back to 0

 -- Oliver Smith <osmith@sysmocom.de>  Tue, 23 Apr 2024 11:40:18 +0200

=== debian/control ===
Source: rtl-sdr
Section: comm
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 10~),
               libusb-1.0-0-dev [linux-any],
               libusb-dev [hurd-i386],
               libusb2-dev [kfreebsd-any],
	       pkg-config
Standards-Version: 4.1.4
Homepage: http://sdr.osmocom.org/trac/wiki/rtl-sdr
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-rtl-sdr
Vcs-Git: https://salsa.debian.org/bottoms/pkg-rtl-sdr.git

Package: librtlsdr-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: osmocom-nightly (= 202509302026), librtlsdr0 (= ${binary:Version}),
         libusb-1.0-0-dev [!kfreebsd-any],
         libusb2-dev [kfreebsd-any],
         ${misc:Depends}
Description: Software defined radio receiver for Realtek RTL2832U (development)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains development files.

Package: librtlsdr0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: osmocom-nightly (= 202509302026), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Software defined radio receiver for Realtek RTL2832U (library)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains the shared library.

Package: rtl-sdr
Architecture: any
Depends: osmocom-nightly (= 202509302026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Software defined radio receiver for Realtek RTL2832U (tools)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains a set of command line utilities:
  * rtl_adsb: a simple ADS-B decoder for RTL2832 based DVB-T receivers
  * rtl_eeprom: an EEPROM programming tool for RTL2832 based DVB-T receivers
  * rtl_fm: a narrow band FM demodulator for RTL2832 based DVB-T receivers
  * rtl_sdr: an I/Q recorder for RTL2832 based DVB-T receivers
  * rtl_tcp: an I/Q spectrum server for RTL2832 based DVB-T receivers
  * rtl_test: a benchmark tool for RTL2832 based DVB-T receivers

## rtl-sdr 2.0.2.1.ede3.202510012026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510012026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 01 Oct 2025 20:27:41 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509302026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510012026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202509302026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510012026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202509302026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510012026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510022026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510022026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 02 Oct 2025 20:27:41 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510012026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510022026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510012026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510022026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510012026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510022026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510032026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510032026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 03 Oct 2025 20:27:40 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510022026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510032026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510022026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510032026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510022026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510032026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510042026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510042026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 04 Oct 2025 20:27:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510032026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510042026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510032026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510042026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510032026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510042026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510052026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510052026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 05 Oct 2025 20:27:41 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510042026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510052026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510042026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510052026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510042026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510052026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510062026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510062026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 06 Oct 2025 20:27:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510052026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510062026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510052026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510062026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510052026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510062026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510072026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510072026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 07 Oct 2025 20:27:46 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510062026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510072026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510062026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510072026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510062026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510072026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510082026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510082026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 08 Oct 2025 20:27:41 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510072026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510082026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510072026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510082026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510072026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510082026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510092026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510092026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 09 Oct 2025 20:27:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510082026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510092026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510082026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510092026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510082026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510092026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510102026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510102026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 10 Oct 2025 20:27:41 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510092026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510102026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510092026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510102026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510092026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510102026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510112026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510112026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 11 Oct 2025 20:27:41 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510102026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510112026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510102026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510112026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510102026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510112026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510122026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510122026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 12 Oct 2025 20:27:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510112026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510122026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510112026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510122026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510112026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510122026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510132026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510132026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 13 Oct 2025 20:27:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510122026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510132026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510122026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510132026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510122026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510132026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510142026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510142026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 14 Oct 2025 20:27:43 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510132026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510142026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510132026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510142026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510132026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510142026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510172026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510172026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 17 Oct 2025 20:27:41 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510142026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510172026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510142026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510172026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510142026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510172026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510182026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510182026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 18 Oct 2025 20:27:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510172026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510182026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510172026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510182026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510172026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510182026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510192026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510192026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 19 Oct 2025 20:27:41 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510182026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510192026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510182026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510192026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510182026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510192026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510202026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510202026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 20 Oct 2025 20:27:41 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510192026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510202026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510192026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510202026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510192026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510202026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510212026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510212026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 21 Oct 2025 20:27:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510202026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510212026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510202026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510212026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510202026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510212026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure: debian/librtlsdr0.udev
	dh_auto_configure --buildsystem=cmake -- -DDETACH_KERNEL_DRIVER=ON \
						 -DINSTALL_UDEV_RULES=ON \
						 -DCMAKE_BUILD_TYPE=RelWithDebInfo

debian/librtlsdr0.udev: rtl-sdr.rules
	cp -p rtl-sdr.rules debian/librtlsdr0.udev

override_dh_acc:
	- dh_acc
	- cat debian/librtlsdr-dev/usr/lib/x86_64-linux-gnu/dh-acc/librtlsdr-dev_*_report.html

## rtl-sdr 2.0.2.1.ede3.202510222026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 22 Oct 2025 20:27:43 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510212026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510222026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510212026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510222026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510212026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510222026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
